Subject: [clisp-list] SPARC/Linux problems

From: Ben Collins <[email-masked]>
Date: Sun, 19 Mar 2000 13:05:58 -0500

I've been beating my head over this problem. I've compiled three versions
of clisp, with gcc 2.95.2 and gcc 2.7.2.3, and every one has this problem.
Basically lisp.run segfaults. I ran it through some debuging and here is
where gdb picks up the problem:

(gdb) file ./lisp.run
Reading symbols from ./lisp.run...done.
(gdb) run
Starting program: /home/bcollins/clisp-1999-07-22/src/./lisp.run

Program received signal SIGSEGV, Segmentation fault.
0x13764 in gc_mark_stack (objptr=0x2e2ffffc) at spvw_garcol.d:384
384           { until (eq(*objptr,nullobj)) # bis STACK zu Ende ist:
(gdb) bt
#0  0x13764 in gc_mark_stack (objptr=0x2e2ffffc) at spvw_garcol.d:384
#1  0x137c8 in gc_markphase () at spvw_garcol.d:411
#2  0x13e1c in gar_col_normal () at spvw_garcol.d:1594
#3  0x14b44 in do_gar_col_simple () at spvw_garcol.d:2369
#4  0x8cb5c in with_gc_statistics (fun=0x14b38 <do_gar_col_simple>) at predtype.d:2571
#5  0x14b70 in gar_col_simple () at spvw_garcol.d:2397
#6  0x14ce0 in make_space_gc_TRUE (need=40, heapptr=0x13a25c) at spvw_allocate.d:225
#7  0x150d4 in allocate_vector (len=7) at spvw_typealloc.d:94
#8  0x18744 in init_subr_tab_2 () at spvw.d:1161
#9  0x19ec8 in initmem () at spvw.d:1549
#10 0x1b174 in main (argc=1, argv=0xeffffaa4) at spvw.d:2661
(gdb) print *objptr
Cannot access memory at address 0x2e2ffffc.

Any one know what's going on?

Ben

(please Cc me, I am not sub'd to the list)

-- 
 -----------=======-=-======-=========-----------=====------------=-=------
/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`     [email-masked]  --  [email-masked]  --  [email-masked]     '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'